KD SOAP API Documentation: KDSoapServerCustomVerbRequestInterface Class Reference

| KD SOAP API Documentation 2.2

Loading...
Searching...
No Matches
Public Member Functions | List of all members
KDSoapServerCustomVerbRequestInterface Class Reference

`#include <KDSoapServerCustomVerbRequestInterface.h>`

## Public Member Functions
| KDSoapServerCustomVerbRequestInterface ()
| KDSoapServerCustomVerbRequestInterface (const KDSoapServerCustomVerbRequestInterface &other)=delete
virtual | ~KDSoapServerCustomVerbRequestInterface ()
KDSoapServerCustomVerbRequestInterface & | operator= (const KDSoapServerCustomVerbRequestInterface &other)=delete
virtual bool | processCustomVerbRequest (const QByteArray &requestType, const QByteArray &requestData, const QMap< QByteArray, QByteArray > &httpHeaders, QByteArray &customAnswer)

## Detailed Description

Additional interface for handling custom verb request.

In addition to deriving from KDSoapServerObjectInterface, you can derive from KDSoapServerCustomVerbRequestInterface in order to handle custom verb HTTP requests.

Use Q_INTERFACES(KDSoapServerCustomVerbRequestInterface) in your derived class (under Q_OBJECT) so that Qt can discover the additional inheritance.

Since
  1.5

Definition at line 30 of file KDSoapServerCustomVerbRequestInterface.h.

## Constructor & Destructor Documentation

## ◆ KDSoapServerCustomVerbRequestInterface() [1/2]

KDSoapServerCustomVerbRequestInterface::KDSoapServerCustomVerbRequestInterface | ( |  | ) |

Constructor

Definition at line 13 of file KDSoapServerCustomVerbRequestInterface.cpp.

## ◆ KDSoapServerCustomVerbRequestInterface() [2/2]

KDSoapServerCustomVerbRequestInterface::KDSoapServerCustomVerbRequestInterface | ( | const KDSoapServerCustomVerbRequestInterface & | other | ) |
| delete

## ◆ ~KDSoapServerCustomVerbRequestInterface()

KDSoapServerCustomVerbRequestInterface::~KDSoapServerCustomVerbRequestInterface | ( |  | ) |
| virtual

Destructor

Definition at line 18 of file KDSoapServerCustomVerbRequestInterface.cpp.

## Member Function Documentation

## ◆ operator=()

KDSoapServerCustomVerbRequestInterface & KDSoapServerCustomVerbRequestInterface::operator= | ( | const KDSoapServerCustomVerbRequestInterface & | other | ) |
| delete

## ◆ processCustomVerbRequest()

bool KDSoapServerCustomVerbRequestInterface::processCustomVerbRequest | ( | const QByteArray & | requestType,
|  | const QByteArray & | requestData,
|  | const QMap< QByteArray, QByteArray > & | httpHeaders,
|  | QByteArray & | customAnswer
| ) |  |
| virtual

Process a request made with a custom HTTP verb

Parameters

  requestType | HTTP verb other than GET and POST
  requestData | is the content of the request
  httpHeaders | the map of http headers (keys have been lowercased since they are case insensitive)
  customAnswer | allow to send back the answer to the client if the request has been handled

Returns
  true if the request has been handled and if customAnswer is valid and will be sent back to the client.

Definition at line 22 of file KDSoapServerCustomVerbRequestInterface.cpp.

The documentation for this class was generated from the following files:

- KDSoapServerCustomVerbRequestInterface.h
- KDSoapServerCustomVerbRequestInterface.cpp

© 2010-2024 Klarälvdalens Datakonsult AB (KDAB)
"The Qt, C++ and OpenGL Experts"
https://www.kdab.com/
https://www.kdab.com/development-resources/qt-tools/kd-soap/
Generated on Sun Jan 7 2024 11:47:36 for KD SOAP API Documentation by doxygen 1.9.8